# Copyright 1995 Massachusetts Institute of Technology
# @configure_input@
hosttype=@hosttype@
EXTRA_LDOPTS=@EXTRA_LDOPTS@

#
# Standard definitions file for 6.170 makes
#  Edited for team1 and autoconf by hartmans
# $Id: commondefs.in,v 1.8 1995/12/11 09:35:59 hartmans Exp $
#
prefix=@prefix@
@SET_MAKE@
DEFS = @DEFS@
LMAKEDIR = $(build_top)/config
COMMONRULES = $(top_srcdir)/config/commonrules

INCLDIR = $(ROOT)/usr/include

SOURCES = $(CFILES) $(C++FILES) $(YFILES) $(LFILES) $(AFILES)
OBJECTS = $(CFILES:.c=.o) $(C++FILES:.C=.o)
DIRT = *.o core *.aux *.dvi *.log *.stamp *.i *.bbl *.[ib]lg $(LDIRT)
GENERATED = .depend
RM = rm -f

.SUFFIXES: .C .tex .dvi .ps .i .aux .stamp .txt .h .m .i3 .m3 .mo .ig .mg
.SUFFIXES: .ind .idx .bbl .aux

DECC++ = cxx
GNUC++ = g++

CC = cc
C++ = @CXX@
DVIPS = dvips

C++F = $(C++) $(C++FLAGS)
CCF = $(CC) $(CFLAGS)

C++FLAGS = $(C++OPTS) $(C++DEFS) $(C++INCS)
C++INCS = $(LC++INCS) $(GC++INCS)
C++OPTS = $(GC++OPTS) $(LC++OPTS)
C++DEFS = $(GC++DEFS) $(LC++DEFS) $(DEFS)

GC++OPTS = $(OPTIMIZER)

CFLAGS = $(COPTS) $(CDEFS) $(CINCS)
COPTS = $(GCOPTS) $(LCOPTS)
CDEFS = $(GCDEFS) $(LCDEFS)
CINCS = $(GCINCS) $(LCINCS)

GCOPTS = $(OPTIMIZER)

LDFLAGS = $(LDOPTS) $(LDLIBS)
LDOPTS = $(GLDOPTS) $(LLDOPTS)
LDLIBS = $(LLDLIBS) $(GLDLIBS)
# GLDLIBS should come second because of library link ordering considerations

TEXSTAMP = /usr/local/lib/texstamp
LATEX = latex

############################################################
# some 6.170 default settings
############################################################

OPTIMIZER = -ggdb
GC++OPTS = -Wall $(OPTIMIZER)
GC++INCS =  -I $(top_srcdir)/include      -I/mit/6.170/include
GLDOPTS = -L$(build_top)/lib -L$(exec_prefix)/lib -L/mit/6.170/$(hosttype)lib $(EXTRA_LDOPTS)
GLDLIBS = -l6170
DOCDIR=$(top_srcdir)/../design
GRIND = grind
LIBDIR=$(build_top)/lib

LNS = ln -s 
ARADD = ar qs
RANLIB = @RANLIB@

